LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDisplayConnection Interface Referencepublished

This interface should be implemented by toolkits that want to give access to their internal message handling loop. More...

`import "XDisplayConnection.idl";`

Inheritance diagram for XDisplayConnection:

## Public Member Functions
void | addEventHandler ([in] any window, [in] XEventHandler eventHandler, [in] long eventMask)
| registers an event handler.
void | removeEventHandler ([in] any window, [in] XEventHandler eventHandler)
| removes an eventHandler from the handler list.
void | addErrorHandler ([in] XEventHandler errorHandler)
| register an error handler for toolkit specific errors.
void | removeErrorHandler ([in] XEventHandler errorHandler)
| remover an error handler from the handler list.
any | getIdentifier ()
| returns an identifier.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

This interface should be implemented by toolkits that want to give access to their internal message handling loop.

## Member Function Documentation

## ◆ addErrorHandler()

void addErrorHandler | ( | [in] XEventHandler | errorHandler | ) |

register an error handler for toolkit specific errors.

Parameters

  errorHandler | the handler to register.

## ◆ addEventHandler()

void addEventHandler | ( | [in] any | window,
|  | [in] XEventHandler | eventHandler,
|  | [in] long | eventMask )

registers an event handler.

Parameters

  window | the platform specific window id. If empty, the handler should be registered for all windows.
  eventHandler | the handler to register.
  eventMask | the event mask specifies the events the handler is interested in.

## ◆ getIdentifier()

any getIdentifier | ( |  | ) |

returns an identifier.

Returns
  a unique platform dependent identifier for a display connection.

## ◆ removeErrorHandler()

void removeErrorHandler | ( | [in] XEventHandler | errorHandler | ) |

remover an error handler from the handler list.

Parameters

  errorHandler | the handler to remove.

## ◆ removeEventHandler()

void removeEventHandler | ( | [in] any | window,
|  | [in] XEventHandler | eventHandler )

removes an eventHandler from the handler list.

Parameters

  window | the platform specific window id the handler should be unregistered for. If empty, the handler should be unregistered completely.
  eventHandler | the handler to remove.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XDisplayConnection.idl